qerror.h File Reference

Go to the source code of this file.

## Enumerations

enum

QuviError {
QUVI_OK ,
QUVI_ERROR_CALLBACK_ABORTED ,
QUVI_ERROR_NO_SUBTITLE_EXPORT_SCRIPTS ,
QUVI_ERROR_NO_SUBTITLE_SCRIPTS ,
QUVI_ERROR_NO_PLAYLIST_SCRIPTS ,
QUVI_ERROR_NO_MEDIA_SCRIPTS ,
QUVI_ERROR_NO_SCAN_SCRIPTS ,
QUVI_ERROR_NO_UTIL_SCRIPTS ,
QUVI_ERROR_KEYWORD_CROAK ,
QUVI_ERROR_INVALID_ARG ,
QUVI_ERROR_GCRYPT_INIT ,
QUVI_ERROR_PROXY_INIT ,
QUVI_ERROR_CURL_INIT ,
QUVI_ERROR_LUA_INIT ,
QUVI_ERROR_NO_SUPPORT = 0x40 ,
QUVI_ERROR_CALLBACK ,
QUVI_ERROR_SCRIPT
}

## Enumeration Type Documentation

## QuviError

enum QuviError

Enumerator
QUVI_ERROR_CALLBACK_ABORTED | Aborted by callback
QUVI_ERROR_CALLBACK | Error occurred in callback, this could be either a network error (network callback function returned an error) or a status callback function returned an error.